AUTOFS(5) | File Formats Manual | AUTOFS(5)

# NAME

`autofs` — automounter filesystem

# SYNOPSIS

`options AUTOFS`

# DESCRIPTION

The `autofs` driver is the kernel component of the automounter infrastructure. Its job is to pass mount requests to the automountd(8) daemon, and pause the processes trying to access the automounted filesystem until the mount is completed. It is mounted by the automount(8).

# OPTIONS

These options are available when mounting `autofs` file systems:

`master_options`
  Mount options for all filesystems specified in the map entry.
`master_prefix`
  Filesystem mountpoint prefix.

# EXAMPLES

To unmount all mounted `autofs` filesystems:

`umount -At autofs`

To mount `autofs` filesystems specified in auto_master(5):

`automount`

# SEE ALSO

auto_master(5), automount(8), automountd(8), autounmountd(8), mount_autofs(8)

# HISTORY

The `autofs` driver first appeared in FreeBSD 10.1. The `autofs` driver first appeared in DragonFly 4.5. The `autofs` driver first appeared in NetBSD 9.0.

# AUTHORS

The `autofs` was developed by Edward Tomasz Napierala <trasz@FreeBSD.org> under sponsorship from the FreeBSD Foundation.

The `autofs` was ported to DragonFly and NetBSD by Tomohiro Kusumi <tkusumi@netbsd.org>.

November 25, 2017 | NetBSD 11.0